Scalable OGo (SOGo)

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004100SOGoBackend Calendarpublic2017-03-22 06:102017-07-18 03:21
Reporterpabelenda 
Assigned Toludovic 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
Platform[Server] LinuxOSDebianOS Version8 (Jessie)
Product Version3.2.7 
Target VersionFixed in Version3.2.10 
Summary0004100: Email reminders sent 6 times
DescriptionIf I setup an event with an email reminder, lets say, 5 minutes before the event starts, I receive not just one email, but 6.

I've tested it with some other timing values, and I received 6 in all cases.
Steps To Reproduce* Create an event
* Set an email reminder
* Choose X minutes before the event starts

Wait and receive 6 emails.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
has duplicate 0004002resolvedludovic Alarm event notify 
has duplicate 0004174resolvedludovic Email reminders sent as many times as invitees are on the event 

-  Notes
(0011554)
pabelenda (reporter)
2017-03-22 06:21

Well, just for the record, if you set 4 minutes or less, you will be receiving 6 emails too.
(0011587)
pabelenda (reporter)
2017-03-27 05:48

This issue is getting worse, as, if I invite n people to the event, I get n*6 emails.

I've upgraded my testing environment into 3.2.8 and I am experiencing the same behavior.
(0011599)
pierfu (reporter)
2017-03-28 03:23

Same behaviour here.
SOGo 3.2.7 on Debian 8 + postgres
(0011672)
pabelenda (reporter)
2017-04-04 03:11

I've been testing previous versions of SOGo.

3.2.8, 3.2.7, 3.2.6 and 3.2.5 all of them have the same behaviour. 6x emails

3.2.4, 3.2.3 and 3.2.2 are totally broken regarding email reminders. They just don't work at all.

3.2.1 works nice on the email reminders regard.

Do you need more information on my side? Is there any way I can help you to get this fixed? This is a major feature for me and having it broken is starting to be a big problem.
(0011673)
pierfu (reporter)
2017-04-04 04:07

Thanks pabelenda for updating,
i agree this should not be set as minor issue, as it's a basic feature and makes SOGo look unmature for users, IMHO.
(0011695)
pabelenda (reporter)
2017-04-07 13:36

pierfu, thanks for your words. I completely agree. Sadly, I cannot bump up the priority nor the severity once created.

I hope soon one of the admins will take care.
User avatar (0011741)
ludovic (administrator)
2017-04-20 14:42

We are looking into this.
(0011743)
pabelenda (reporter)
2017-04-21 03:45

Many thanks ludovic, really appreciated.

Come back if you need me to test further.
(0011810)
pabelenda (reporter)
2017-05-15 09:12

I've tested the 3.2.9 version and I get n email reminders, been n the number of invitees added to the event.

The summary of the report didn't mentioned this, my bad, but I added this fact on an early comment:

https://sogo.nu/bugs/view.php?id=4100#c11587 [^]

- Related Changesets
sogo: master ab50a41a
Timestamp: 2017-04-21 08:49:56
Author: ludovic
Details ] Diff ]
(fix) email reminders sent multiple times (fixes 0004100)
mod - NEWS Diff ] File ]
mod - SoObjects/Appointments/SOGoEMailAlarmsManager.m Diff ] File ]
mod - SoObjects/Appointments/iCalEntityObject+SOGo.m Diff ] File ]
sogo: master a86f8a8a
Timestamp: 2017-06-09 15:17:32
Author: ludovic
Details ] Diff ]
(fix) email alarms are sent too many times (fixes 0004100)
mod - NEWS Diff ] File ]
mod - SoObjects/Appointments/iCalAlarm+SOGo.h Diff ] File ]
mod - SoObjects/Appointments/iCalAlarm+SOGo.m Diff ] File ]
mod - SoObjects/Appointments/iCalEntityObject+SOGo.m Diff ] File ]
mod - Tools/SOGoEAlarmsNotifier.m Diff ] File ]

- Issue History
Date Modified Username Field Change
2017-03-22 06:10 pabelenda New Issue
2017-03-22 06:21 pabelenda Note Added: 0011554
2017-03-27 05:48 pabelenda Note Added: 0011587
2017-03-28 03:23 pierfu Note Added: 0011599
2017-04-04 03:11 pabelenda Note Added: 0011672
2017-04-04 04:07 pierfu Note Added: 0011673
2017-04-07 13:36 pabelenda Note Added: 0011695
2017-04-20 14:42 ludovic Note Added: 0011741
2017-04-21 03:45 pabelenda Note Added: 0011743
2017-04-21 08:50 ludovic Changeset attached => sogo master ab50a41a
2017-04-21 08:50 ludovic Assigned To => ludovic
2017-04-21 08:50 ludovic Resolution open => fixed
2017-04-21 08:50 ludovic Status new => resolved
2017-04-21 08:50 ludovic Fixed in Version => 3.2.9
2017-04-21 09:24 ludovic Relationship added has duplicate 0004002
2017-05-15 09:12 pabelenda Note Added: 0011810
2017-05-15 09:12 pabelenda Status resolved => feedback
2017-05-15 09:12 pabelenda Resolution fixed => reopened
2017-05-30 12:52 ludovic Relationship added has duplicate 0004172
2017-05-30 12:52 ludovic Severity minor => major
2017-05-30 12:52 ludovic Relationship added has duplicate 0004174
2017-05-30 12:53 ludovic Relationship deleted has duplicate 0004172
2017-06-09 15:17 ludovic Changeset attached => sogo master a86f8a8a
2017-06-09 15:18 ludovic Status feedback => resolved
2017-06-09 15:18 ludovic Fixed in Version 3.2.9 => 3.2.10
2017-06-09 15:18 ludovic Resolution reopened => fixed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker